Package it.ernytech.tdlib

## Class TdApi.CallStateError

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CallState
    - - it.ernytech.tdlib.TdApi.CallStateError

Enclosing class:
  TdApi

    public static class TdApi.CallStateError
    extends TdApi.CallState

The call has ended with an error.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Error` `error` Error.

### Constructor Summary

Constructors
`CallStateError()` Default constructor.
`CallStateError​(TdApi.Error error)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### error

    public TdApi.Error error

Error. An error with the code 4005000 will be returned if an outgoing call is missed because of an expired timeout.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CallStateError

    public CallStateError()

Default constructor.

#### CallStateError

    public CallStateError​(TdApi.Error error)

Constructor for initialization of all fields.

Parameters:
  `error` - Error. An error with the code 4005000 will be returned if an outgoing call is missed because of an expired timeout.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR